 /*
  * Khoros: $Id: vtexture.h,v 1.1 1991/05/10 15:47:43 khoros Exp $
  */

 /*
  * $Log: vtexture.h,v $
 * Revision 1.1  1991/05/10  15:47:43  khoros
 * Initial revision
 *
  */ 

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1991, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as too the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1991 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: vtexture.h
 >>>>            Author: Charlie Gage
 >>>> Date Last Updated: Tue Mar  5 22:27:26 1991
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _vtexture_h_
#define _vtexture_h_

#include "vinclude.h"


/* -include_includes */
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program,	/* a pointer to the program name argv[0] */
	*calloc();
int	ac;

/****************************************************************
*
*                    vtexture Argument Structure
*
****************************************************************/

typedef struct _vtexture  {

/*
 *  input image filename (Required infile)
 */
char	*i;     	/* input image filename FILENAME */
int	 i_flag;	/* input image filename FLAG */

/*
 *  output image filename (Required outfile)
 */
char	*o     ;	/* output image filename FILENAME */
int	 o_flag;	/* output image filename FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 L5L5;      	/* choose texture kernel LOGIC */
int	 L5L5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 L5E5;      	/* choose texture kernel LOGIC */
int	 L5E5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 L5S5;      	/* choose texture kernel LOGIC */
int	 L5S5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 L5W5;      	/* choose texture kernel LOGIC */
int	 L5W5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 L5R5;      	/* choose texture kernel LOGIC */
int	 L5R5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 E5L5;      	/* choose texture kernel LOGIC */
int	 E5L5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 E5E5;      	/* choose texture kernel LOGIC */
int	 E5E5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 E5S5;      	/* choose texture kernel LOGIC */
int	 E5S5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 E5W5;      	/* choose texture kernel LOGIC */
int	 E5W5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 E5R5;      	/* choose texture kernel LOGIC */
int	 E5R5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 S5L5;      	/* choose texture kernel LOGIC */
int	 S5L5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 S5E5;      	/* choose texture kernel LOGIC */
int	 S5E5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 S5S5;      	/* choose texture kernel LOGIC */
int	 S5S5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 S5W5;      	/* choose texture kernel LOGIC */
int	 S5W5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 S5R5;      	/* choose texture kernel LOGIC */
int	 S5R5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 W5L5;      	/* choose texture kernel LOGIC */
int	 W5L5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 W5E5;      	/* choose texture kernel LOGIC */
int	 W5E5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 W5S5;      	/* choose texture kernel LOGIC */
int	 W5S5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 W5W5;      	/* choose texture kernel LOGIC */
int	 W5W5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 W5R5;      	/* choose texture kernel LOGIC */
int	 W5R5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 R5L5;      	/* choose texture kernel LOGIC */
int	 R5L5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 R5E5;      	/* choose texture kernel LOGIC */
int	 R5E5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 R5S5;      	/* choose texture kernel LOGIC */
int	 R5S5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 R5W5;      	/* choose texture kernel LOGIC */
int	 R5W5_flag;  	/* choose texture kernel FLAG */

/*
 *  choose texture kernel (Optional logical)
 */
int	 R5R5;      	/* choose texture kernel LOGIC */
int	 R5R5_flag;  	/* choose texture kernel FLAG */

}  vtexture_struct;

vtexture_struct *vtexture;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
